summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2011-11-22 15:20:48 +0000
committerMike Frysinger <vapier@gentoo.org>2011-11-22 15:20:48 +0000
commit8b2812614672c6c820e79459d03709657a9b9277 (patch)
tree6e7a82fce9bcbd2e83a16dee58150714acf8b57a /eclass/toolchain.eclass
parentVersion bump. Add ruby19. (diff)
downloadgentoo-2-8b2812614672c6c820e79459d03709657a9b9277.tar.gz
gentoo-2-8b2812614672c6c820e79459d03709657a9b9277.tar.bz2
gentoo-2-8b2812614672c6c820e79459d03709657a9b9277.zip
do not check config-lang.in in pkg_xxx funcs #391369 by Agostino Sarubbo
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 7b55ab6fb64b..5dcf26079793 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.481 2011/11/21 01:43:44 dirtyepic Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.482 2011/11/22 15:20:48 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -776,7 +776,7 @@ toolchain_pkg_setup() {
# we dont want to use the installed compiler's specs to build gcc!
unset GCC_SPECS
- if ! is_cxx ; then
+ if ! use_if_iuse cxx ; then
use_if_iuse go && ewarn 'Go requires a C++ compiler, disabled due to USE="-cxx"'
use_if_iuse objc++ && ewarn 'Obj-C++ requires a C++ compiler, disabled due to USE="-cxx"'
use_if_iuse gcj && ewarn 'GCJ requires a C++ compiler, disabled due to USE="-cxx"'